Skip to main content
DELETE
/
api
/
v1
/
orders
/
{UID}
Cancel an order by marking it invalid with a timestamp.
curl --request DELETE \
  --url https://api.cow.fi/mainnet/api/v1/orders/{UID} \
  --header 'Content-Type: application/json' \
  --data '
{
  "signature": "0x0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
  "signingScheme": "eip712"
}
'
{
  "errorType": "InvalidSignature",
  "description": "<string>"
}

Path Parameters

UID
string
required

Unique identifier for the order: 56 bytes encoded as hex with 0x prefix.

Bytes 0..32 are the order digest, bytes 30..52 the owner address and bytes 52..56 the expiry (validTo) as a uint32 unix epoch timestamp.

Example:

"0xff2e2e54d178997f173266817c1e9ed6fee1a1aae4b43971c53b543cffcc2969845c6f5599fbb25dbdd1b9b013daf85c03f3c63763e4bc4a"

Body

application/json

Signed OrderCancellation

EIP-712 signature of struct OrderCancellation(bytes orderUid) from the order's owner.

signature
string
required

OrderCancellation signed by owner

Example:

"0x0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"

signingScheme
enum<string>
required

How was the order signed?

Available options:
eip712,
ethsign

Response

Order cancelled.

Last modified on March 17, 2026